/* Customer JS */
(function($, sr) {
    var debounce = function(func, threshold, execAsap) {
        var timeout;
        return function debounced() {
            var obj = this,
                args = arguments;

            function delayed() {
                if (!execAsap) func.apply(obj, args);
                timeout = null;
            };
            if (timeout) clearTimeout(timeout);
            else if (execAsap) func.apply(obj, args);
            timeout = setTimeout(delayed, threshold || 200);
        };
    }
    // smartresize 
    jQuery.fn[sr] = function(fn) {
        return fn ? this.bind('resize', debounce(fn)) : this.trigger(sr);
    };
})(jQuery, 'smartresize');
// default
$(function() {
    var sliderContainer = $(".wrapper .slider-container").height();
    var header = $(".wrapper #header").height();
    var headerMenuOffset = header + 100;
    
    var offsetHeight = sliderContainer - header - header;

    $(".wrapper #header").affix({
        offset: {
        	top: header        	
        }
    });    

    $('.employee-carousel').owlCarousel({
        center: false,
        margin: 25,
        stagePadding: 25,
        nav: true,
        navText: ["<i class='fa fa-chevron-left'></i>", "<i class='fa fa-chevron-right'></i>"],
        dots: false,
        autoplay: true,
        autoplayTimeout: 5000,
        mouseDrag: false,
        autoplayHoverPause: true,
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 3
            },
            1000: {
                items: 6
            },
            1200: {
                items: 6
            }
        }
    });    

});

// smartresize 

/* 
$(window).smartresize(function() {
    var header = $(".wrapper #header").height();
    $("#header").css("height", header);
});
*/